# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(File/stat.pm) perl(Sys/CPU.pm)
# END SourceDeps(oneline)
Name:    csmith
Version: 2.1.0
Release: alt1_9
Summary: Tool to generate random C programs for compiler testing

Group:   Development/Tools
# Most of the source code is under BSD while few header files are GPLv2+ and LGPLv2+
License: BSD and GPLv2+ and LGPLv2+
URL:     http://embed.cs.utah.edu/csmith/
Source0: http://embed.cs.utah.edu/csmith/%{name}-%{version}.tar.gz
Patch0:  csmith-2.1.0-fix-powerpc64-build.patch
Patch1:  csmith-2.1.0-remove-custom-headers.patch
Patch2:  csmith-2.1.0-secondary.patch

BuildRequires: m4
BuildRequires: autoconf
Source44: import.info

%description
Csmith is a tool that can generate random C programs that 
statically and dynamically conform to the C99 standard. It is 
useful for stress-testing compilers, static analyzers, and 
other tools that process C code

%package devel
Summary:        Header files and libraries for Csmith development
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel 
The %{name}-devel package contains the header files
and libraries for use with the Csmith package.

%prep
%setup -q
%patch0 -p1 -b .ppc64
%patch1 -p1 -b .fix
%patch2 -p1 -b .secondary

%build
autoconf -f -i
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name *.a  -exec rm -f {} \;
find %{buildroot} -name *.la -exec rm -f {} \;
find %{buildroot} -name test_csmith.pl -exec rm -f {} \;
rm -f %{buildroot}%{_bindir}/compiler_test.in
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%doc COPYING doc/probabilities.txt scripts/compiler_test.in
%{_bindir}/compiler_test.pl
%{_bindir}/csmith
%{_bindir}/launchn.pl
%{_libdir}/libcsmith.so.*

%files devel
%{_includedir}/%{name}-%{version}
%{_libdir}/libcsmith.so

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_9
- initial fc import

